Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batches
  • Home
    • About
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • AutoCollec API
      • Example Workflow
      • Batches
        • GetBatchById
          GET
        • GetBatchesByOrganization
          GET
      • Invoice
        • CreateInvoices
        • GetInvoicesByOrganization
        • GetInvoiceById
      • Payment
        • CreatePayments
      • Collections
        • AcceptDebtCollectionList
        • AcceptDebtCollectionList
        • RejectDebtCollectionList
        • PauseCase
        • RejectDebtCollectionList
        • WithdrawCase
        • PauseCase
        • ResumeCase
        • WithdrawCase
        • ResumeCase
      • Settlement
        • GetSettlement on Id
        • GetSettlements
        • GetSettlements
        • GetSettlement on Id
    • AutoCollect API (Legacy)
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batches

GetBatchesByOrganization

GET
/orgs/{orgId}/batches
Endpoints for organization management operations

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200OK
application/json
OK
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/orgs//batches?State&Type&PageToken&PageSize&SortDirection' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": [
        {
            "batchId": "5579c111-9c50-47e2-af92-f16d52e63189",
            "type": "NONE",
            "status": "QUEUED",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "finishedAt": "2019-08-24T14:15:22.123Z",
            "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
            "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
            "succeeded": [
                {}
            ],
            "failed": [
                {}
            ]
        }
    ],
    "summary": {
        "status": "string",
        "nextPageToken": "string"
    }
}
Modified at 2026-03-13 13:33:49
Previous
GetBatchById
Next
CreateInvoices
Built with